## ntfs-3g 2011.4.12AR.4

=== debian/changelog ===
ntfs-3g (1:2011.4.12AR.4-2ubuntu3) oneiric; urgency=low

  * Cherry-pick from 1:2011.4.12AR.6-2 (LP: #864787):
    - Correcting freudian typo in directory name when creating the
      libntfs-3g.so symlink for ntfs-3g-dev (Closes: #634755).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Oct 2011 00:03:56 +0100

ntfs-3g (1:2011.4.12AR.4-2ubuntu2) oneiric; urgency=low

  * Add ntfsresize to ntfs-3g-udeb, taking it over from ntfsprogs-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Aug 2011 16:10:18 +0100

ntfs-3g (1:2011.4.12AR.4-2ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian (LP: #788368).  Remaining changes:
    - Add a ntfs-3g-udeb package.
    - Depend on suitable versions of initramfs-tools and initscripts for
      /run support.
    - Accept "syncio" mount option (a synonym for "sync") for compatibility
      with older versions of Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2011 15:08:05 +0100

ntfs-3g (1:2011.4.12AR.4-2) unstable; urgency=low

  * Adding missing build-depends to libcrypt11-dev and libgnutls-dev,
    thanks to Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (Closes:
    #633709).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 13 Jul 2011 10:16:51 +0200

ntfs-3g (1:2011.4.12AR.4-1) unstable; urgency=low

  * Adding libntfs-3g75 to conflicts/replaces of ntfs-3g to ease
    upgrades from squeeze.
  * Merging upstream version 2011.4.12AR.4.
  * Removing linux-ntfs.patch, merged upstream.
  * Updating todo file.
  * Configuring with --enable-crypto and --enable-extras.
  * Adding target in rules to fetch upstream changelog.
  * Compacting copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 09 Jul 2011 17:02:33 +0200

ntfs-3g (1:2011.4.12AR.3-2) unstable; urgency=low

  * Removing libntfs-3g library package and folding it into ntfs-3g
    itself as there's not much point in micro-packaging here (nobody
    except ntfs-3g uses the shlib anyway, upstream bumps soname with
    almost every release and going through NEW is annoying).
  * Renaming libntfs-3g-dev to ntfs-3g-dev for consistency.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 03 Jul 2011 12:28:42 +0200

ntfs-3g (1:2011.4.12AR.3-1) unstable; urgency=low

  * Really correcting symlink target for libntfs-3g.so, thanks to
    Michael Biebl <biebl@debian.org> (Closes: #627929).
  * Adding missing space in package long descriptions, thanks to Fabio
    Till.
  * Adding "reviewed" control file from debian-l10n-english team
    (Closes: #630114).
  * Correcting reviewed control file by re-adding the dropped
    conflicts/replaces/provides and fixing package descriptions.
  * Adding reviewed debconf templates from debian-l10n-english team.
  * Updating German debconf translations.
  * Adding Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #630622).
  * Adding Danish debconf translations from Joe Hansen
    <joedalton2@yahoo.dk> (Closes: #631307).
  * Adding Spanish debconf translations from Francisco Javier Cuadrado
    <fcocuadrado@gmail.com> (Closes: #631735).
  * Adding French debconf translations from Thomas Blein
    <tblein@tblein.eu> (Closes: #631417).
  * Adding Japanese debconf translations from Hideki Yamane
    <herich@debian.org> (Closes: #630596).
  * Adding Dutch debconf translations from Jeroen Schot <schot@a-
    eskwadraat.nl> (Closes: #629390).
  * Adding Portuguese debconf translations from Rui Branco
    <ruipb@debianpt.org> (Closes: #632058).
  * Adding Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #630947).
  * Adding Slovak debconf translations from Ivan Masár
    <helix84@centrum.sk> (Closes: #630588).
  * Adding Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #630639).
  * Adding Chinese (simplified) debconf translations from YunQiang Su
    <wzssyqa@gmail.com> (Closes: #632216).
  * Building with posix-acls and xattr-mappings enabled (Closes:
    #567914).
  * Adding note about ntfsprogs in ntfs-3g package description (Closes:
    #629484).
  * Adding patch to remove old references to (now offline) linux-
    ntfs.org page (Closes: #629485).
  * Using a bullet list for feature enumeration in package description,
    thanks to Martin Schauer <Martin.E.Schauer@gmx.de> (Closes:
    #631409).
  * Merging upstream version 2011.4.12AR.3.
  * Removing ntfsprogs.patch, merged upstream.
  * Removing autogen.patch, not needed anymore.
  * Renumbering linux-ntfs patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 03 Jul 2011 11:59:56 +0200

ntfs-3g (1:2011.1.15AR.4+2011.4.12-2) unstable; urgency=low

  * Updating local-bottom script to use /run (Closes: #627873).
  * Correct symlink target for libntfs-3g.so (Closes: #627929).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 26 May 2011 10:42:09 +0200

ntfs-3g (1:2011.1.15AR.4+2011.4.12-1) unstable; urgency=low

  * Correcting Adams name in previous changelog entry, i've mistakenly
    wrote Arnaud.
  * Merging upstream version 2011.1.15AR.4+2011.4.12.
  * Updating packaging to also include ntfsprogs in ntfs-3g (temporary,
    see TODO).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 24 May 2011 20:13:56 +0200

ntfs-3g (1:2011.1.15AR.4-2) unstable; urgency=low

  * Switching to dpkg source format 3.0 (quilt).
  * Minimizing rules file.
  * Adding debconf question to install ntfs-3g setuid-root (Closes:
    #445418).
  * Including ntfs-3g in initramfs. If ntfs-3g is used to mount the root
    filesystem (either directly or via a loopback mount), load the fuse
    module beforehand, and save ntfs-3g's PID (indirectly) in
    /var/run/sendsigs.omit. Inspired by a patch in Ubuntu (Closes:
    #469836).
  * Correcting indenting in hal fdi file.
  * Correcting spelling of NTFS-3G in package descriptions.
  * Completing and updating libntfs-3g-dev debhelper install file.


