=== debian/control ===
Source: ntfs-3g
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 8), autotools-dev, chrpath, libfuse-dev, libgcrypt11-dev,
 libgnutls-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://www.tuxera.com/community/ntfs-3g-advanced/

Package: ntfs-3g
Section: otherosfs
Architecture: any
Pre-Depends: fuse-utils
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.99), initscripts (>= 2.88dsf-13.3)
Conflicts: libntfs-3g804, libntfs-3g75, ntfsprogs
Replaces: libntfs-3g804, libntfs-3g75, ntfsprogs
Provides: ntfsprogs
Description: read/write NTFS driver for FUSE
 NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
 filesystem used by Microsoft Windows. It can:
 .
  * create, remove, rename, or move files, directories, hard links, and streams;
  * read and write files, including streams, sparse files, and transparently
    compressed files;
  * handle special files like symbolic links, devices, and FIFOs;
  * provide standard management of file ownership and permissions, including
    POSIX ACLs.
 .
 This package also contains the tools previously available in the ntfsprogs
 package.

Package: ntfs-3g-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, ntfs-3g (= ${binary:Version}),
 ntfs-3g-dev (= ${binary:Version})
Description: read/write NTFS driver for FUSE (debug)
 NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
 filesystem used by Microsoft Windows.
 .
 This package contains the debugging symbols.

Package: ntfs-3g-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ntfs-3g (= ${binary:Version})
Conflicts: libntfs-3g-dev
Replaces: libntfs-3g-dev
Description: read/write NTFS driver for FUSE (development)
 NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
 filesystem used by Microsoft Windows.
 .
 This package contains the development files.

Package: ntfs-3g-udeb
Section: debian-installer
Architecture: any
XC-Package-Type: udeb
Depends: fuse-utils-udeb, ${shlibs:Depends}
Description: read-write NTFS driver for FUSE
