## ntfs-3g 2011.10.9AR.1

=== debian/changelog ===
ntfs-3g (1:2011.10.9AR.1-4) unstable; urgency=low

  * Adding transitional package for ntfsprogs (Closes: #627823).
  * Building ntfs-3g-udeb on linux-any only for the time being (Closes:
    #651109).
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #651347).
  * Adding updated Dutch debconf translations from Jeroen Schot
    <schot@a-eskwadraat.nl> (Closes: #651946).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 26 Dec 2011 21:03:45 +0100

ntfs-3g (1:2011.10.9AR.1-3) unstable; urgency=low

  * Adding updated Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #650869).
  * Stop installing NEWS and README as ntfs-3g docs, no useful content.
  * Calling dh_install conditionally with fail-missing or list-missing,
    depending on whetever it is build on kfreebsd or not in order to
    workaround lack of conditionals in debhelper install files (Closes:
    #651109).
  * Updating todo file.
  * Adding updated Danish debconf translation from Joe Hansen
    <joedalton2@yahoo.dk> (Closes: #650940).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 07 Dec 2011 08:55:30 +0100

ntfs-3g (1:2011.10.9AR.1-2) unstable; urgency=low

  * Adding updated French debconf translations from Thomas Blein
    <tblein@tblein.eu> (Closes: #648998).
  * Adding ntfs-3g-udeb to replace ntfsprogs-udeb (which will finally
    allow to remove ntfsprogs from the archive), thanks to Colin Watson
    <cjwatson@ubuntu.com> (Closes: #649992).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 28 Nov 2011 15:53:58 +0100

ntfs-3g (1:2011.10.9AR.1-1) unstable; urgency=low

  * Setting debconf questions to unseen when the answer is read from
    conffile.
  * Merging upstream version 2011.10.9AR.1 (Closes: #648661).
  * Updating local inclusion of upstream changelog for version
    2011.10.9AR.1.
  * Removing kfreebsd.patch, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 15 Nov 2011 00:21:34 +0100

ntfs-3g (1:2011.4.12AR.7-6) unstable; urgency=low

  * Updating again kfreebsd.patch with an updated one from Robert Millan
    <rmh@debian.org>.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 06 Nov 2011 21:40:32 +0100

ntfs-3g (1:2011.4.12AR.7-5) unstable; urgency=low

  * Updating kfreebsd.patch with an updated one from Robert Millan
    <rmh@debian.org>, thanks to Jean-Pierre André <jean-
    pierre.andre@wanadoo.fr>.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 06 Nov 2011 13:43:38 +0100

ntfs-3g (1:2011.4.12AR.7-4) unstable; urgency=low

  * Adding slightly modified patch from to Robert Millan
    <rmh@debian.org> for kfreebsd support (Closes: #647668).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 05 Nov 2011 19:19:58 +0100

ntfs-3g (1:2011.4.12AR.7-3) unstable; urgency=low

  * Adding debconf handling for conditional initramfs integration
    (Closes: #627935).
  * Sorting overrides in rules alphabetically.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 30 Oct 2011 20:58:18 +0100

ntfs-3g (1:2011.4.12AR.7-2) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Adding Italian debconf translations from Dario Santamaria
    <dario.santamaria@gmail.com> (Closes: #645932).
  * Removing now uneeded conflicts and replaces against libntfs-3g804.
  * Updating local upstream changelog.
  * Dropping obsolete configure handling, not needed anymore with
    current debhelper and dpkg.
  * Bumping build-depends on newer fuse that has libraries moved from
    /usr to / (Closes: #627872, #627998).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 24 Oct 2011 12:09:05 +0200

ntfs-3g (1:2011.4.12AR.7-1) unstable; urgency=low

  * Merging upstream version 2011.4.12AR.7 (Closes: #643293).
  * Removing old news file.
  * Updating todo file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 28 Sep 2011 07:48:18 +0200

ntfs-3g (1:2011.4.12AR.6-2) unstable; urgency=low

  * Switching architecture fields to linux-any and kfreebsd-any.
  * Updating initramfs-tools hook for newer fuse packages.
  * Updating pre-depends for newer fuse packages.
  * Correcting freudian typo in directory name when creating the
    libntfs-3g.so symlink for ntfs-3g-dev (Closes: #634755).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Sep 2011 20:49:02 +0200

ntfs-3g (1:2011.4.12AR.6-1) unstable; urgency=low

  * Merging upstream version 2011.4.12AR.6 (Closes: #637459).
  * Adding Serbian (cyrillic) debconf translations from Zlatan Todoric
    <zlatan.todoric@gmail.com> (Closes: #635618).
  * Adding Serbian (latin) debconf translations from Zlatan Todoric
    <zlatan.todoric@gmail.com> (Closes: #635621).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 22 Aug 2011 12:05:17 +0200
