=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: ntfs-3g
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
- debhelper (>= 8), autotools-dev, chrpath, libfuse-dev, libgcrypt11-dev,
- libgnutls-dev, pkg-config
+ debhelper (>= 8), autotools-dev, chrpath, libfuse-dev (>= 2.6.8-2~),
+ libgcrypt11-dev, libgnutls-dev, pkg-config
 Standards-Version: 3.9.2
 Homepage: http://www.tuxera.com/community/ntfs-3g-advanced/
 
 Package: ntfs-3g
 Section: otherosfs
-Architecture: any
-Pre-Depends: fuse-utils
-Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.99), initscripts (>= 2.88dsf-13.3)
-Conflicts: libntfs-3g804, libntfs-3g75, ntfsprogs
-Replaces: libntfs-3g804, libntfs-3g75, ntfsprogs
-Provides: ntfsprogs
+Architecture: linux-any kfreebsd-any
+Pre-Depends: fuse [linux-any], fuse4bsd [kfreebsd-any]
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libntfs-3g75, ntfsprogs (<< 1:2011.10.9AR.1-3~)
+Replaces: libntfs-3g75, ntfsprogs
 Description: read/write NTFS driver for FUSE
  NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
  filesystem used by Microsoft Windows. It can:
@@ -34,7 +32,7 @@
 Package: ntfs-3g-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends:
  ${misc:Depends}, ntfs-3g (= ${binary:Version}),
  ntfs-3g-dev (= ${binary:Version})
@@ -46,7 +44,7 @@
 
 Package: ntfs-3g-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends}, ntfs-3g (= ${binary:Version})
 Conflicts: libntfs-3g-dev
 Replaces: libntfs-3g-dev
@@ -58,7 +56,18 @@
 
 Package: ntfs-3g-udeb
 Section: debian-installer
-Architecture: any
+Architecture: linux-any
 XC-Package-Type: udeb
-Depends: fuse-utils-udeb, ${shlibs:Depends}
-Description: read-write NTFS driver for FUSE
+Depends: ${misc:Depends}, ${shlibs:Depends}, fuse-udeb
+Description: read/write NTFS driver for FUSE
+
+Package: ntfsprogs
+Section: metapackages
+Architecture: all
+Depends: ${misc:Depends}, ntfs-3g
+Description: read/write NTFS driver for FUSE (transitional package)
+ Package to ease upgrading from older ntfsprogs packages to the new ntfs-3g
+ package.
+ .
+ This package can be purged at anytime once the ntfs-3g package has been
+ installed.
