=== debian/rules ===
--- 
+++ 
@@ -2,19 +2,10 @@
 
 SHELL := sh -e
 
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-        MAKEFLAGS += -j$(NUMJOBS)
+ifeq ($(DEB_HOST_ARCH_OS), linux)
+CONFIGURE_FLAGS = --enable-posix-acls
 endif
 
 upstream:
@@ -24,19 +15,7 @@
 	dh ${@} --with autotools_dev
 
 override_dh_auto_configure:
-	dh_auto_configure --	--host=$(DEB_HOST_GNU_TYPE) \
-				--build=$(DEB_BUILD_GNU_TYPE) \
-				--prefix=/usr \
-				--exec-prefix=/ \
-				--mandir=\$${prefix}/share/man \
-				--enable-crypto \
-				--enable-extras \
-				--enable-posix-acls \
-				--enable-xattr-mappings \
-				--disable-ldconfig \
-				--with-fuse=external \
-				CFLAGS="$(CFLAGS)" \
-				LDFLAGS="-Wl,-z,defs"
+	dh_auto_configure -- --exec-prefix=/ --enable-crypto --enable-extras --enable-xattr-mappings --disable-ldconfig --with-fuse=external $(CONFIGURE_FLAGS)
 
 override_dh_auto_install:
 	dh_auto_install
@@ -79,6 +58,9 @@
 		chrpath --delete debian/tmp/$${_PROGRAM}; \
 	done
 
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip -z9
+
 override_dh_installchangelogs:
 	dh_installchangelogs debian/local/changelog
 
@@ -93,8 +75,8 @@
 
 	dh_link --remaining-packages
 
+override_dh_makeshlibs:
+	dh_makeshlibs --add-udeb=ntfs-3g-udeb
+
 override_dh_strip:
 	dh_strip --dbg-package=ntfs-3g-dbg
-
-override_dh_makeshlibs:
-	dh_makeshlibs --add-udeb=ntfs-3g-udeb
