## ntfs-3g 2012.1.15AR.1

=== debian/changelog ===
ntfs-3g (1:2012.1.15AR.1-1ubuntu1.2) precise-proposed; urgency=low

  * Add readonly-devices.patch: Mount read-only devices as read-only instead
    of failing. Thanks to Jean Pierre Andre for the patch! (LP: #435192)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Sep 2012 05:49:00 +0200

ntfs-3g (1:2012.1.15AR.1-1ubuntu1.1) precise-proposed; urgency=low

  * ntfs-3g-junction-point-fix.patch: Return the correct type (DT_LINK) for
    NTFS Junction points, in readdir(). (LP: #997391) Junction points are the
    NTFS equivalent of symlinks and should be listed as such. Fixes an
    infinite loop in baobab when scanning a Windows 7 root file system.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 25 Aug 2012 22:17:25 +0200

ntfs-3g (1:2012.1.15AR.1-1ubuntu1) precise; urgency=low

  * Resynchronise with Debian (LP: #920545).  Remaining changes:
    - Depend on suitable versions of initramfs-tools and initscripts for
      /run support.
    - Accept "syncio" mount option (a synonym for "sync") for compatibility
      with older versions of Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Mar 2012 13:09:07 +0000

ntfs-3g (1:2012.1.15AR.1-1) unstable; urgency=low

  * Merging upstream version 2012.1.15AR.1.
  * Updating local changelog for upstream version 2012.1.15AR.1.
  * Updating to debhelper version 9.
  * Updating years in copyright.
  * Updating package to standards version 3.9.3.
  * Adding updated Italian debconf translations from Dario Santamaria
    <dario.santamaria@gmail.com> (Closes: #656147).
  * Adding updated Spanish debconf translations from Javier Fernandez-
    Sanguino Pena <jfs@debian.org> (Closes: #656402).
  * Adding initial Polish debconf translations from Michal Kulach
    <michal.kulach@gmail.com> (Closes: #658163).
  * Updating packaging for multiarch.
  * Enabling all hardening build options.
  * Adding lintian-overrides for ntfs-3g-udeb.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 04 Mar 2012 21:42:47 +0100

ntfs-3g (1:2011.10.9AR.1-1ubuntu3) precise; urgency=low

  * Revert to gnutls26.  It looks as though we'll be sticking with that for
    precise.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jan 2012 10:52:47 +0000

ntfs-3g (1:2011.10.9AR.1-1ubuntu2) precise; urgency=low

  * Switch to gnutls28.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Jan 2012 14:13:43 +0000

ntfs-3g (1:2011.10.9AR.1-1ubuntu1) precise; urgency=low

  * Resynchronise with Debian (LP: #892229).  Remaining changes:
    - Add an ntfs-3g-udeb package.
    - Depend on suitable versions of initramfs-tools and initscripts for
      /run support.
    - Accept "syncio" mount option (a synonym for "sync") for compatibility
      with older versions of Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2011 10:55:13 +0000

ntfs-3g (1:2011.4.12AR.4-2ubuntu4) precise; urgency=low

  * Depend on fuse/fuse-udeb rather than fuse-utils/fuse-utils-udeb.  Adjust
    initramfs hook prerequisites to match.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2011 08:52:03 +0000
