=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: ntfs-3g
 Section: otherosfs
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
- debhelper (>= 8), autotools-dev, chrpath, libfuse-dev (>= 2.6.8-2~),
+ debhelper (>= 9), autotools-dev, chrpath, libfuse-dev (>= 2.6.8-2~),
  libgcrypt11-dev, libgnutls-dev, pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.tuxera.com/community/ntfs-3g-advanced/
 
 Package: ntfs-3g
 Section: otherosfs
 Architecture: linux-any kfreebsd-any
-Pre-Depends: fuse [linux-any], fuse4bsd [kfreebsd-any]
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${multiarch:Pre-Depends}, fuse [linux-any], fuse4bsd [kfreebsd-any]
+Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.99), initscripts (>= 2.88dsf-13.3)
 Conflicts: libntfs-3g75, ntfsprogs (<< 1:2011.10.9AR.1-3~)
 Replaces: libntfs-3g75, ntfsprogs
 Description: read/write NTFS driver for FUSE
