=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 SHELL := sh -e
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 CONFIGURE_FLAGS = --enable-posix-acls
@@ -13,6 +16,16 @@
 
 %:
 	dh ${@} --with autotools_dev
+
+override_dh_auto_clean:
+	dh_auto_clean
+
+	for _FILE in debian/*.in; \
+	do \
+		rm -f debian/$$(basename $${_FILE} .in); \
+		sed -e 's|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|g' \
+		$${_FILE} > debian/$$(basename $${_FILE} .in); \
+	done
 
 override_dh_auto_configure:
 	dh_auto_configure -- --exec-prefix=/ --enable-crypto --enable-extras --enable-xattr-mappings --disable-ldconfig --with-fuse=external $(CONFIGURE_FLAGS)
@@ -26,7 +39,7 @@
 	install -D -m 0755 debian/local/ntfs-3g.local-bottom debian/ntfs-3g/usr/share/initramfs-tools/scripts/local-bottom/ntfs_3g
 
 	# removing unused files
-	rm -f debian/tmp/lib/*.la
+	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 	# removing rpath
 	for _PROGRAM in \
@@ -61,6 +74,13 @@
 override_dh_builddeb:
 	dh_builddeb -- -Zgzip -z9
 
+override_dh_gencontrol:
+ifeq ($(DEB_HOST_ARCH_OS),)
+	dh_gencontrol
+else
+	dh_gencontrol -- -Vmultiarch:Pre-Depends="multiarch-support"
+endif
+
 override_dh_installchangelogs:
 	dh_installchangelogs debian/local/changelog
 
@@ -71,7 +91,7 @@
 	rm -rf debian/ntfs-3g-dev/usr/share/doc
 
 	# correcting symlink target
-	dh_link -pntfs-3g-dev lib/$$(basename $$(readlink debian/tmp/lib/libntfs-3g.so)) usr/lib/libntfs-3g.so
+	dh_link -pntfs-3g-dev lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libntfs-3g.so)) usr/lib/$(DEB_HOST_MULTIARCH)/libntfs-3g.so
 
 	dh_link --remaining-packages
