## ntfs-3g 2012.1.15AR.5

=== debian/changelog ===
ntfs-3g (1:2012.1.15AR.5-4ubuntu3) quantal; urgency=low

  * Add readonly-devices.patch: Mount read-only devices as read-only instead
    of failing. Thanks to Jean Pierre Andre for the patch! (LP: #435192)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Sep 2012 07:37:38 +0200

ntfs-3g (1:2012.1.15AR.5-4ubuntu2) quantal; urgency=low

  * ntfs-3g-junction-point-fix.patch: Return the correct type (DT_LINK) for
    NTFS Junction points, in readdir(). (LP: #997391)

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 21 Aug 2012 22:27:42 +0200

ntfs-3g (1:2012.1.15AR.5-4ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept "syncio" mount option (a synonym for "sync") for compatibility
      with older versions of Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Aug 2012 18:48:46 +0100

ntfs-3g (1:2012.1.15AR.5-4) unstable; urgency=low

  * Adding updated Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #679673).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 26 Jul 2012 02:34:03 +0200

ntfs-3g (1:2012.1.15AR.5-3) unstable; urgency=low

  * Using official package-type for udeb packages in control now.
  * Updating TODO file.
  * Switching to xz compression.
  * Simplyfing backports compatible use of multiarch debhelper install
    files.
  * Trimming lintian overrides.
  * Decrufting readme.
  * Updating GPL boilerplate in copyright file.
  * Updating copyright to format version 1.0.
  * Trimming lintian overrides.
  * Updating local upstream changelog.
  * Correcting typo in multiarch specific gencontrol call in rules.
  * Improving coding style in initramfs-tools integration.
  * Avoid superfluous asking twice of debconf questions (Closes:
    #650362).
  * Adding updated Slovak debconf translations from Ivan Masár
    <helix84@centrum.sk> (Closes: #677911).
  * Updating initramfs when debconf question is changed to false
    (Closes: #647763).
  * Updating section and priority of the transitional package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 02:08:52 +0200

ntfs-3g (1:2012.1.15AR.5-2ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept "syncio" mount option (a synonym for "sync") for compatibility
      with older versions of Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jun 2012 11:08:14 +0100

ntfs-3g (1:2012.1.15AR.5-2) unstable; urgency=low

  * Moving /bin/ntfsdecrypt to /usr/bin (Closes: #667690).
  * Adding updated Portuguese debconf translations from Rui Branco
    <ruipb@debianpt.org> (Closes: #674075).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 13 Jun 2012 16:22:27 +0200

ntfs-3g (1:2012.1.15AR.5-1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept "syncio" mount option (a synonym for "sync") for compatibility
      with older versions of Ubuntu.
  * Drop dependency changes only relevant for upgrades from before 12.04.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 May 2012 23:37:34 +0100

ntfs-3g (1:2012.1.15AR.5-1) unstable; urgency=low

  * Merging upstream version 2012.1.15AR.5.
  * Updating compression handling for udeb with newer debhelper.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 08:45:24 +0200
