=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Section: otherosfs
 Architecture: linux-any kfreebsd-any
 Pre-Depends: ${multiarch:Pre-Depends}, fuse [linux-any], fuse4bsd [kfreebsd-any]
-Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.99), initscripts (>= 2.88dsf-13.3)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libntfs-3g75, ntfsprogs (<< 1:2011.10.9AR.1-3~)
 Replaces: libntfs-3g75, ntfsprogs
 Description: read/write NTFS driver for FUSE
@@ -56,14 +56,15 @@
  This package contains the development files.
 
 Package: ntfs-3g-udeb
+Package-Type: udeb
 Section: debian-installer
 Architecture: linux-any
-XC-Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}, fuse-udeb
 Description: read/write NTFS driver for FUSE
 
 Package: ntfsprogs
-Section: metapackages
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, ntfs-3g
 Description: read/write NTFS driver for FUSE (transitional package)
