=== debian/rules ===
--- 
+++ 
@@ -17,26 +17,23 @@
 %:
 	dh ${@} --with autotools_dev
 
-override_dh_auto_clean:
-	dh_auto_clean
-
-	for _FILE in debian/*.in; \
-	do \
-		rm -f debian/$$(basename $${_FILE} .in); \
-		sed -e 's|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|g' \
-		$${_FILE} > debian/$$(basename $${_FILE} .in); \
-	done
-
 override_dh_auto_configure:
 	dh_auto_configure -- --exec-prefix=/ --enable-crypto --enable-extras --enable-xattr-mappings --disable-ldconfig --with-fuse=external $(CONFIGURE_FLAGS)
 
 override_dh_auto_install:
 	dh_auto_install
 
+	# moving ntfsdecrypt, depends on /usr
+	mkdir -p debian/tmp/usr/bin
+	mv debian/tmp/bin/ntfsdecrypt debian/tmp/usr/bin
+
 	# adding initramfs-tools integration
 	install -D -m 0755 debian/local/ntfs-3g.hook debian/ntfs-3g/usr/share/initramfs-tools/hooks/ntfs_3g
 	install -D -m 0755 debian/local/ntfs-3g.local-premount debian/ntfs-3g/usr/share/initramfs-tools/scripts/local-premount/ntfs_3g
 	install -D -m 0755 debian/local/ntfs-3g.local-bottom debian/ntfs-3g/usr/share/initramfs-tools/scripts/local-bottom/ntfs_3g
+
+	# adding hal policy
+	install -D -m 0644 debian/local/25-ntfs-3g-policy.fdi debian/ntfs-3g/usr/share/hal/fdi/policy/10osvendor/25-ntfs-3g-policy.fdi
 
 	# removing unused files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
@@ -52,7 +49,6 @@
 		bin/ntfscluster \
 		bin/ntfscmp \
 		bin/ntfsck \
-		bin/ntfsdecrypt \
 		bin/ntfsdump_logfile \
 		bin/ntfsfix \
 		bin/ntfsinfo \
@@ -66,16 +62,17 @@
 		sbin/ntfscp \
 		sbin/ntfslabel \
 		sbin/ntfsresize \
-		sbin/ntfsundelete; \
+		sbin/ntfsundelete \
+		usr/bin/ntfsdecrypt; \
 	do \
 		chrpath --delete debian/tmp/$${_PROGRAM}; \
 	done
 
 override_dh_builddeb:
-	dh_builddeb -- -Zgzip -z9
+	dh_builddeb -- -Zxz -z9
 
 override_dh_gencontrol:
-ifeq ($(DEB_HOST_ARCH_OS),)
+ifeq ($(DEB_HOST_MULTIARCH),)
 	dh_gencontrol
 else
 	dh_gencontrol -- -Vmultiarch:Pre-Depends="multiarch-support"
