## ntfs-3g 2013.1.13

=== debian/changelog ===
ntfs-3g (1:2013.1.13-1+0ubuntu2) raring; urgency=low

  * Make sure ntfs-3g library is installed in /lib. (LP: #1132392)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 25 Feb 2013 11:25:52 +0000

ntfs-3g (1:2013.1.13-1+0ubuntu1) raring; urgency=low

  * Use a virtual package to generate tighter reverse-dependencies, as the
    soname is ever-changing. (LP: #1126547)
  * Use parallel build.
  * Acknowledge stealing debian's -1 upload version number.
  * Fix libntfs-3g.so symlink.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 16 Feb 2013 05:45:13 +0000

ntfs-3g (1:2013.1.13-1) raring; urgency=low

  * New upstream release. (LP: #1106257)
  
  * Use dh_autoreconf

  * Resynchronise with Debian (LP: #1118379).  Remaining changes:
    - Accept "syncio" mount option (a synonym for "sync") for compatibility
      with older versions of Ubuntu.

  * Dropped patches, applied upstream:
     - Add readonly-devices.patch: Mount read-only devices as read-only instead
       of failing.
     - ntfs-3g-junction-point-fix.patch: Return the correct type (DT_LINK) for
       NTFS Junction points, in readdir().

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 14 Feb 2013 18:06:59 +0100

ntfs-3g (1:2012.1.15AR.8-2) unstable; urgency=low

  * Adding dpkg-source local-options.
  * Dropping dpkg-source compression levels.
  * Updating year in copyright file.
  * Dropping pre-wheezy versions from build-depends.
  * Updating to standards version 3.9.4.
  * Removing ntfs-3g.preinst with squeeze-to-wheezy upgrade cleanup.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 24 Jan 2013 13:09:15 +0100

ntfs-3g (1:2012.1.15AR.8-1) unstable; urgency=low

  * Merging upstream version 2012.1.15AR.8.
  * Updating rule for upstream changelog in rules target.
  * Updating local upstream changelog to upstream version 2012.1.15AR.8.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 27 Oct 2012 21:46:47 +0200

ntfs-3g (1:2012.1.15AR.7-2) unstable; urgency=low

  * Removing incomplete feature list in package long-description
    (Closes: #687054).
  * Building with unconditional multiarch support for debian-
    jessie/wheezy-backports.
  * Removing pre-wheezy transitional package.
  * Removing pre-wheezy conflicts and replaces.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 24 Sep 2012 16:45:48 +0200

ntfs-3g (1:2012.1.15AR.7-1) unstable; urgency=low

  * Merging upstream version 2012.1.15AR.7.
  * Removing readdir.patch, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 21 Sep 2012 18:51:03 +0200

ntfs-3g (1:2012.1.15AR.6-1) unstable; urgency=low

  * Merging upstream version 2012.1.15AR.6.
  * Updating local upstream changelog.
  * Adding patch from upstream to fix the readdir syscall to set the
    d_type to 10 (Symbolic link) whenever a junction point is detected,
    avoids loops on windows 7 NTFS (Closes: #685551).
  * Protecting multiarch queries since install files are run with set -
    e.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 22 Aug 2012 06:44:36 +0200
