=== debian/control ===
Source: ntfs-3g
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 9), dh-autoreconf, chrpath, libfuse-dev, libgcrypt11-dev,
 libgnutls-dev, pkg-config
Standards-Version: 3.9.4
Homepage: http://www.tuxera.com/community/ntfs-3g-advanced/

Package: ntfs-3g
Section: otherosfs
Architecture: linux-any kfreebsd-any
Pre-Depends: multiarch-support, fuse [linux-any], fuse4bsd [kfreebsd-any]
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ntfs:Provides}
Description: read/write NTFS driver for FUSE
 NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
 filesystem used by Microsoft Windows.

Package: ntfs-3g-dbg
Section: debug
Priority: extra
Architecture: linux-any kfreebsd-any
Depends:
 ${misc:Depends}, ntfs-3g (= ${binary:Version}),
 ntfs-3g-dev (= ${binary:Version})
Description: read/write NTFS driver for FUSE (debug)
 NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
 filesystem used by Microsoft Windows.
 .
 This package contains the debugging symbols.

Package: ntfs-3g-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends}, ntfs-3g (= ${binary:Version})
Description: read/write NTFS driver for FUSE (development)
 NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
 filesystem used by Microsoft Windows.
 .
 This package contains the development files.

Package: ntfs-3g-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, fuse-udeb
Provides: ${ntfs-udeb:Provides}
Description: read/write NTFS driver for FUSE
