## ntfs-3g 2013.1.13AR.1

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+XSBC-Original-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends:
  debhelper (>= 9), dh-autoreconf, chrpath, libfuse-dev, libgcrypt11-dev,
  libgnutls-dev, pkg-config
@@ -14,7 +14,7 @@
 Architecture: linux-any kfreebsd-any
 Pre-Depends: multiarch-support, fuse [linux-any], fuse4bsd [kfreebsd-any]
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: ${ntfs:Provides}
+Provides: ${ntfs-3g:Provides}
 Description: read/write NTFS driver for FUSE
  NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
  filesystem used by Microsoft Windows.
@@ -47,5 +47,5 @@
 Section: debian-installer
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}, fuse-udeb
-Provides: ${ntfs-udeb:Provides}
+Provides: ${ntfs-3g-udeb:Provides}
 Description: read/write NTFS driver for FUSE
